package com.dcsoft.system.vehicle.mapper;

import com.dcsoft.system.vehicle.domain.CarPassRecord;

import java.util.List;

/**
 * 通行记录Mapper接口
 *
 * @author nichun
 * @date 2024-01-03
 */
public interface CarPassRecordMapper
{
    /**
     * 查询通行记录
     *
     * @param id 通行记录主键
     * @return 通行记录
     */
    public CarPassRecord selectCarPassRecordById(Long id);

    /**
     * 查询通行记录列表
     *
     * @param carPassRecord 通行记录
     * @return 通行记录集合
     */
    public List<CarPassRecord> selectCarPassRecordList(CarPassRecord carPassRecord);

    /**
     * 新增通行记录
     *
     * @param carPassRecord 通行记录
     * @return 结果
     */
    public int insertCarPassRecord(CarPassRecord carPassRecord);

    /**
     * 修改通行记录
     *
     * @param carPassRecord 通行记录
     * @return 结果
     */
    public int updateCarPassRecord(CarPassRecord carPassRecord);

    /**
     * 删除通行记录
     *
     * @param id 通行记录主键
     * @return 结果
     */
    public int deleteCarPassRecordById(Long id);

    /**
     * 批量删除通行记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCarPassRecordByIds(Long[] ids);
}
